Skip to content

Get Buy EUR Quote

POST
/api/v4/otc/buy-eur/quote

Get a quote for converting EUR (sent via SEPA from a registered IBAN) into crypto delivered to a specified wallet address. Available to OTC customers.

Authorizations

ApiKeyAuth
Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
"network": "ethereum",
"token": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"amount": "10000",
"amountType": "fiat"
}

Responses

OK

application/json
JSON
{
"status": "ok",
"payload": {
"quoteId": "79a89717-3690-4db0-b434-39e25df01d55",
"timestamp": 1724247261,
"confirmDeadline": 1724247861,
"network": "ethereum",
"token": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"tokenAmount": "10245.182341",
"fiatAmount": "9500.00",
"rate": "0.9272",
"feeAmount": "47.50"
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

Code examples

bash
curl -X POST https://api.brrr.network/api/v4/otc/buy-eur/quote \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "network": "ethereum",
    "token": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
    "amount": "10000",
    "amountType": "fiat"
  }'
javascript
const response = await fetch('https://api.brrr.network/api/v4/otc/buy-eur/quote', {
  method: 'POST',
  headers: {
    'X-Api-Key': process.env.BRRR_API_KEY,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    network: 'ethereum',
    token: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48',
    amount: '10000',
    amountType: 'fiat',
  }),
});

const quote = await response.json();
console.log('Quote:', quote);
python
import os
import httpx

response = httpx.post(
    'https://api.brrr.network/api/v4/otc/buy-eur/quote',
    headers={
        'X-Api-Key': os.environ['BRRR_API_KEY'],
        'Content-Type': 'application/json',
    },
    json={
        'network': 'ethereum',
        'token': '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48',
        'amount': '10000',
        'amountType': 'fiat',
    },
)
response.raise_for_status()
print('Quote:', response.json())